package filter.examples;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import java.util.Enumeration;

import java.io.IOException;


public class VerifyLogonFilter implements Filter
{
  private FilterConfig filterConfig;

  public void doFilter (ServletRequest request,
              ServletResponse response,
              FilterChain chain)
  {

    RequestDispatcher rd = null;
    HttpSession session = ((HttpServletRequest)request).getSession();
    try
    {

      Enumeration initParams = filterConfig.getInitParameterNames();

      // no initial parameters so invoke next element in chain
      if (initParams == null)
      {
        System.out.println("No elements to verify");
        chain.doFilter(request, response);
      }

      // grab init param values and get the elements from the session
      else
      {
        while (initParams.hasMoreElements())
        {
          String name = (String) initParams.nextElement();
          String initParameter = filterConfig.getInitParameter(name);

          String sessionAttribute = (String)session.getAttribute(initParameter);

          // check to see if element exists (i.e. form was sent)
          if (sessionAttribute == null)
          {
            rd = request.getRequestDispatcher("/LoginServlet.do");
            rd.forward(request, response);
          }

          
        }
          chain.doFilter(request, response);
        }
      
    }

    catch (IOException io)
    {
      System.out.println("IOException raised");
    }
    catch (ServletException se)
    {
      System.out.println("ServletException raised");
    }



  }
  
public void destroy() {
	
}

public void init(FilterConfig filterConfig) throws ServletException {
	this.filterConfig = filterConfig;
	
}
}

