package servlet.examples.session;

import java.io.*;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.*;
import javax.servlet.http.*;

public class ShoppingCart extends HttpServlet {

  /**
	 * 
	 */
	private static final long serialVersionUID = -8104821686068599952L;

public void doGet(HttpServletRequest req, HttpServletResponse res)
                               throws ServletException, IOException {
    res.setContentType("text/html");
    PrintWriter out = res.getWriter();
//  Get the current session object, create one if necessary.
    HttpSession session = req.getSession();

    // Cart items are maintained in the session object.
    List items = (List)session.getAttribute("items");
    if (items==null)
    {
    	items = new ArrayList();
    	session.setAttribute("items", items);
    }

    String newItem = req.getParameter("item");
    
    if (newItem!=null && !"".equals(newItem))
    {
    	items.add(newItem);
    }

    out.println("<HTML><HEAD><TITLE>SessionTracker</TITLE></HEAD>");
    out.println("<BODY><H1>Session Tracking Demo</H1>");

    // Print the current cart items.
    out.println("You currently have the following items in your cart:<BR>");
    if (items.size()==0) {
      out.println("<B>None</B>");
    }
    else {
      out.println("<UL>");
      for (int i = 0; i < items.size(); i++) {
        out.println("<LI>" + items.get(i)+ "</LI>");
      }
      out.println("</UL>");
    }

    // Ask if they want to add more items or check out.
    out.println("<FORM ACTION=\"" +
                res.encodeURL(req.getContextPath() + "/ShoppingCart.do") + "\" METHOD=GET>");    
    out.println("<INPUT TYPE=TEXT NAME=\"item\">");
    out.println("<INPUT TYPE=SUBMIT VALUE=\" Add More Items \">");
    out.println("</FORM>");
    out.println("</BODY></HTML>");
  }
}
